Name:           gnome-applet-netspeed    
Version:        0.16
Release:        4%{?dist}
Summary:        GNOME applet that shows traffic on a network device

Group:          Applications/Internet
License:        GPLv2+
URL:            http://www.gnome.org/projects/netspeed/
Source0:        http://launchpad.net/netspeed/trunk/0.16/+download/netspeed_applet-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  pkgconfig, gettext, scrollkeeper, intltool
BuildRequires:  libgtop2-devel
BuildRequires:  gnome-panel-devel >= 2.8
BuildRequires:  gnome-doc-utils
BuildRequires:  wireless-tools-devel

Requires:       hicolor-icon-theme

Requires(post): scrollkeeper
Requires(postun): scrollkeeper

# reported in GNOME bz 622984
Patch0: netspeed_applet-0.16-gnome-icon-theme-2.30.patch
# related to GNOME bz 600579 / Fedora #530920
Patch1: netspeed_applet-0.16-copy-qualpixbufs.patch
# related to GNOME bz 600579
# g_signal_handler_is_connected says that the patch is good, but
# is it sufficient to fix bz 600597?
Patch2: netspeed_applet-0.16-disconnect-icon-theme-changed.patch

%description
netspeed is a little GNOME applet that shows the traffic on a
specified network device (for example eth0) in kbytes/s.

%prep
%setup -q -n netspeed_applet-%{version}
%if 0%{?fedora} > 12
%patch0 -p1 -b .gnome-icon-theme-2.30
%endif
%patch1 -p1 -b .copy-qualpixbufs
%patch2 -p1 -b .disconnect-icon-theme-changed


%build
%configure --disable-scrollkeeper
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang netspeed_applet


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
scrollkeeper-update -q -o %{_datadir}/omf/netspeed_applet || : 


%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
scrollkeeper-update -q || :


%clean
rm -rf $RPM_BUILD_ROOT


%files -f netspeed_applet.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README TODO
# ChangeLog discontinued
%doc %{_datadir}/gnome/help/netspeed_applet/
%{_libexecdir}/*
%{_libdir}/bonobo/servers/*
%{_datadir}/icons/hicolor/16x16/apps/netspeed-applet.png
%{_datadir}/icons/hicolor/16x16/devices/netspeed-loopback.png
%{_datadir}/icons/hicolor/16x16/devices/netspeed-plip.png
%{_datadir}/icons/hicolor/16x16/devices/netspeed-ppp.png
%{_datadir}/icons/hicolor/22x22/apps/netspeed-applet.png
%{_datadir}/icons/hicolor/24x24/apps/netspeed-applet.png
%{_datadir}/icons/hicolor/24x24/status/netspeed-wireless-100.png
%{_datadir}/icons/hicolor/24x24/status/netspeed-wireless-25.png
%{_datadir}/icons/hicolor/24x24/status/netspeed-wireless-50.png
%{_datadir}/icons/hicolor/24x24/status/netspeed-wireless-75.png
%{_datadir}/icons/hicolor/32x32/apps/netspeed-applet.png
%{_datadir}/icons/hicolor/48x48/apps/netspeed-applet.png
%{_datadir}/icons/hicolor/scalable/apps/netspeed-applet.svg
%{_datadir}/omf/netspeed_applet/


%changelog
* Wed Aug 11 2010 Michael Schwendt <mschwendt@fedoraproject.org> - 0.16-4
- Correctly disconnect icon_theme_changed_cb (from upstream bz 600597).

* Thu Jul 15 2010 Michael Schwendt <mschwendt@fedoraproject.org> - 0.16-3
- Use copies of the wireless-quality icons (related to #530920).

* Mon Jun 28 2010 Michael Schwendt <mschwendt@fedoraproject.org> - 0.16-2
- Temporarily use two different up/down icons as a replacement for
  stock_navigate-next/stock_navigate-prev which have been deprecated
  for gnome-icon-theme 2.30.

* Wed Jun 23 2010 Michael Schwendt <mschwendt@fedoraproject.org> - 0.16-1
- Upgrade to 0.16 (patches incorporated).

* Sat May  1 2010 Michael Schwendt <mschwendt@fedoraproject.org> - 0.15.2-3.3
- Fix preferences Network device combobox active value.

* Wed Apr 14 2010 Michael Schwendt <mschwendt@fedoraproject.org> - 0.15.2-3.2
- Fix out-of-bounds array access for the in/out graph,
  and center it a bit more horizontally.

* Fri Feb 12 2010 Michael Schwendt <mschwendt@fedoraproject.org> - 0.15.2-3.1
- Fix "follow default route" feature (also upstream bz 593346).
- Fix superfluous wireless quality icon updates (upstream bz 580683).
- Fix wireless quality icon calculation crash (upstream bz 567079).
- Remove Obs/Prov for "netspeed_applet". Ancient bloat.
- Remove BR perl(XML::Parser), which is an intltool requirement.
- Remove BR libnotify-devel, which is not needed.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Oct 11 2008 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.15.2-1
- Updated to 0.15.2
- Dropped upstreamed patch

* Tue Sep 30 2008 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.15-3
- Added patch fixing off-by-one error from SVN trunk (fixes gnome bug #554339)

* Sun Sep 28 2008 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.15-2
- Removed libgnomeui-devel from BuildRequires, added wireless-tools-devel
- Updated URL

* Sun Sep 28 2008 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.15-1
- Updated to 0.15
- Added hicolor-icon-theme to Requires

* Tue Feb 12 2008 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.14-3
- Rebuilt for gcc-4.3

* Sun Aug 26 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.14-2
- Adjusted License tag as per latest guidelines

* Wed Jul 11 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.14-1
- Updated to 0.14
- Cleaned up the spec a bit

* Thu Aug 31 2006 Aaron Kurtz <a.kurtz@hardsun.net> - 0.13-6
- Add newly required BuildRequires

* Thu Aug 31 2006 Aaron Kurtz <a.kurtz@hardsun.net> - 0.13-6
- Rebuild for Fedora Extras 6

* Mon Feb 13 2006 Aaron Kurtz <a.kurtz@hardsun.net> - 0.13-5
- Rebuild for Fedora Extras 5

* Mon Jan 09 2006 Aaron Kurtz <a.kurtz@hardsun.net> - 0.13-4
- Proper soname rebuild

* Mon Jan 09 2006 Aaron Kurtz <a.kurtz@hardsun.net> - 0.13-3
- Rebuild for libgtop soname change

* Wed Sep 21 2005 Aaron Kurtz <a.kurtz@hardsun.net> - 0.13-2
- Proper buildreps this time

* Tue Sep 20 2005 Aaron Kurtz <a.kurtz@hardsun.net> - 0.13-1
- Bump to 0.13

* Thu Jun 16 2005 Aaron Kurtz <a.kurtz@hardsun.net> - 0.12.1-3
- Removing spec-defined dist 

* Mon Apr 25 2005 Aaron Kurtz <a.kurtz@hardsun.net> - 0.12.1-2
- Adding dist tag

* Thu Apr 21 2005 Aaron Kurtz <a.kurtz@hardsun.net> - 0.12.1-1
- Initial Fedora RPM release
